Skip to main content
PATCH
Update a task
Address the task by its EHR id: the emr_task_id returned in the tasks array of POST /patients/fetch with include: ["tasks"].

Request Parameters

  • status (string, required): "cancelled" cancels the task in the EHR.

Example Request

Example Response

Webhook Events

You’ll receive a task.updated webhook when the task is cancelled, or task.update_failed if it can’t be. See Operation Events.

Authorizations

client_id
string
header
required
client_secret
string
header
required
access_token
string
header
required

Path Parameters

emr_task_id
string
required

EMR ID of the task. Obtain it from the tasks[] array returned by POST /v1/patients/fetch with include: ["tasks"].

Example:

"task-emr-123"

Body

application/json
status
enum<string>
required

Set to "cancelled" to cancel the task in the EHR.

Available options:
cancelled
Example:

"cancelled"

callback_urls
string[]

URLs to receive the completion webhook for this update, in addition to the account webhook.

Example:
expires_at
string<date-time> | null

Optional ISO 8601 timestamp with an explicit timezone offset, in the future when submitted. Cobalt starts no new operation attempt after this deadline and reports reasons[].code EXPIRED. An attempt already in progress, including write reconciliation, may finish after it.

Example:

"2027-06-15T14:30:00Z"

Response

Task update queued

success
boolean
required
Example:

true

message
string
required
Example:

"Task update processing. A webhook event will be sent upon completion."

emr_task_id
string
required
Example:

"task-emr-123"

job_id
integer
required
Example:

1